AbstractConnection (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.io

## Class AbstractConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection

- All Implemented Interfaces:
    Connection
  Direct Known Subclasses:
    AbstractHttpConnection, AbstractHttpConnection, SslConnection, WebSocketConnectionD00, WebSocketConnectionD06, WebSocketConnectionD08, WebSocketConnectionRFC6455

      public abstract class AbstractConnection
      extends Object
      implements Connection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EndPoint` | `_endp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConnection(EndPoint endp)`
    `AbstractConnection(EndPoint endp, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EndPoint` | `getEndPoint()`
    `long` | `getTimeStamp()`
    `void` | `onIdleExpired(long idleForMs)` Called when the connection idle timeout expires
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `handle, isIdle, isSuspended, onClose`

- - ### Field Detail

    - #### _endp

          protected final EndPoint _endp

  - ### Constructor Detail

    - #### AbstractConnection

          public AbstractConnection(EndPoint endp)

    - #### AbstractConnection

          public AbstractConnection(EndPoint endp,
                            long timestamp)

  - ### Method Detail

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `Connection`
      Returns:
        the timestamp at which the connection was created

    - #### getEndPoint

          public EndPoint getEndPoint()

    - #### onIdleExpired

          public void onIdleExpired(long idleForMs)

      Description copied from interface: `Connection`
      Called when the connection idle timeout expires
      Specified by:
        `onIdleExpired` in interface `Connection`
      Parameters:
        `idleForMs` - how long the connection has been idle
      See Also:
        `Connection.isIdle()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.